Bug 208011 - disabling a service does not put it into the disabled state
disabling a service does not put it into the disabled state
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On: 208892
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-25 16:14 EDT by Vlady Zlatkin
Modified: 2009-04-16 18:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 16:39:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes behavior (861 bytes, patch)
2006-09-25 16:18 EDT, Lon Hohberger
no flags Details | Diff
Corrected fix (1.05 KB, patch)
2006-09-25 16:27 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Vlady Zlatkin 2006-09-25 16:14:42 EDT
Description of problem:
Somehow I got into the scenario where a failed service would not switch into the
disabled state.  I tried to enable it, I got a failure.  Then I tried to disable
it, and I got another error.

Version-Release number of selected component (if applicable):
[root@rlx-0-10 init.d]# rpm -qf /etc/rc.d/init.d/rgmanager
rgmanager-1.9.53-0

How reproducible:
always

Steps to Reproduce:
1.unknown magic
2.enable service
3.get failure
4.disable service
5.get failure
6.service still in failed state
  
Actual results:
service still in failed state

Expected results:
service goes to disabled state

Additional info:

from /var/log/messages when I did, an enable then a disable

Sep 25 15:36:45 rlx-0-10 clurgmgrd[26556]: <notice> Stopping service
satellite-service
Sep 25 15:36:45 rlx-0-10 clurgmgrd: [26556]: <info> Executing /etc/init.d/cups stop
Sep 25 15:36:45 rlx-0-10 cups: cupsd shutdown failed
Sep 25 15:36:45 rlx-0-10 clurgmgrd[26556]: <notice> stop on script "satellite
init" returned 1 (generic error)
Sep 25 15:36:45 rlx-0-10 clurgmgrd: [26556]: <info> unmounting
fjs-0-10.rhndev.redhat.com:/rhnsat (/rhnsat)
Sep 25 15:36:45 rlx-0-10 clurgmgrd: [26556]: <err> 'umount
fjs-0-10.rhndev.redhat.com:/rhnsat' failed (/rhnsat), error=0
Sep 25 15:36:45 rlx-0-10 clurgmgrd[26556]: <notice> stop on netfs "rhnsat"
returned 2 (invalid argument(s))
Sep 25 15:36:45 rlx-0-10 clurgmgrd[26556]: <crit> #12: RG satellite-service
failed to stop; intervention required
Sep 25 15:36:45 rlx-0-10 clurgmgrd[26556]: <notice> Service satellite-service is
failed
Sep 25 15:37:01 rlx-0-10 rg_test: [30675]: <info> Executing /etc/init.d/cups stop
Sep 25 15:37:01 rlx-0-10 cups: cupsd shutdown failed
Sep 25 15:37:01 rlx-0-10 rg_test[30675]: <notice> stop on script "satellite
init" returned 1 (generic error)
Sep 25 15:37:01 rlx-0-10 rg_test: [30675]: <info> unmounting
fjs-0-10.rhndev.redhat.com:/rhnsat (/rhnsat)
Sep 25 15:37:01 rlx-0-10 rg_test: [30675]: <err> 'umount
fjs-0-10.rhndev.redhat.com:/rhnsat' failed (/rhnsat), error=0
Sep 25 15:37:01 rlx-0-10 rg_test[30675]: <notice> stop on netfs "rhnsat"
returned 2 (invalid argument(s))
Comment 1 Lon Hohberger 2006-09-25 16:18:07 EDT
Created attachment 137084 [details]
Fixes behavior
Comment 2 Lon Hohberger 2006-09-25 16:27:33 EDT
Created attachment 137085 [details]
Corrected fix

The previous patch always marked a service "disabled" even if it failed on the
first attempt.	It should have gone from started->failed, then
failed->disabled.  This patch corrects that behavior.
Comment 3 Lon Hohberger 2006-09-27 15:05:22 EDT
Fixed in CVS/head and CVS/RHEL4
Comment 4 Kiersten (Kerri) Anderson 2006-10-03 12:55:26 EDT
Devel ACK for RHEL5.0.0 Beta 2
Comment 5 RHEL Product and Program Management 2006-10-03 13:04:28 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 9 Nate Straz 2007-12-13 12:18:53 EST
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.

Note You need to log in before you can comment on or make changes to this bug.